/*******************************************************************************
 * Copyright (c) 2013 Javier Finez de Dios.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the GNU Public License v3.0
 * which accompanies this distribution, and is available at
 * http://www.gnu.org/licenses/gpl.html
 ******************************************************************************/
package grandeszapatos.getsize;

import android.app.Activity;
import android.content.ComponentName;
import android.content.Intent;
import android.net.Uri;
import android.os.Bundle;
import android.view.View;
import android.view.View.OnFocusChangeListener;
import android.widget.LinearLayout;
import android.widget.TextView;

public class MainActivity extends Activity implements OnFocusChangeListener {

	private TextView about_tv;
	private LinearLayout featureShop;
	private LinearLayout featureSize;

	public void moveFeatureShop(View vw1) {

		Intent browserIntent = new Intent(Intent.ACTION_VIEW,
				Uri.parse(getString(R.string.http_grandeszapatos)));

		ComponentName cn = browserIntent.resolveActivity(getPackageManager());

		if (cn == null) {
			// no hay activity para realizar la accion Intent.ACTION_VIEW

		} else {
			startActivity(browserIntent);
		}
	}

	public void moveFeatureSize(View vw1) {
		Intent SizeActivity = new Intent();
		SizeActivity.setClass(this, SizeActivity.class);
		SizeActivity.putExtra("action_flags", 0);
		this.startActivity(SizeActivity);
	}

	@Override
	public void onCreate(Bundle onSavedInstanceState) {
		super.onCreate(onSavedInstanceState);
		this.setContentView(R.layout.dashboard);
		this.setTitle();
	}

	@Override
	public void onDestroy() {
		super.onDestroy();
	}

	public void onFocusChange(View vw1, boolean hasFocus) {
		if (hasFocus) {
			switch (vw1.getId()) {
			case R.id.feature_shop_item:
				this.about_tv.setText(R.string.about_shop);
				break;
			case R.id.feature_size_item:
				this.about_tv.setText(R.string.about_size);
				break;
			}
		}
	}

	private void setTitle() {
		TextView mytextview = (TextView) this
				.findViewById(R.id.title_dashboard);
		mytextview.setText(R.string.app_title);
		this.about_tv = (TextView) this.findViewById(R.id.about);
		this.featureShop = (LinearLayout) this
				.findViewById(R.id.feature_shop_item);
		this.featureSize = (LinearLayout) this
				.findViewById(R.id.feature_size_item);
		this.featureShop.setOnFocusChangeListener(this);
		this.featureSize.setOnFocusChangeListener(this);
	}

}
