/*******************************************************************************
 * Copyright (c) 2013 Javier Finez de Dios.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the GNU Public License v3.0
 * which accompanies this distribution, and is available at
 * http://www.gnu.org/licenses/gpl.html
 ******************************************************************************/
package grandeszapatos.getsize;

import grandeszapatos.getsize.dialog.InputcmDialog;
import grandeszapatos.getsize.dialog.InputsexDialog;
import grandeszapatos.getsize.measure.MeasureActivity;
import android.app.Activity;
import android.app.Dialog;
import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.view.View.OnFocusChangeListener;
import android.widget.LinearLayout;
import android.widget.TextView;
import android.widget.Toast;

public class SizeActivity extends Activity implements OnFocusChangeListener {

	private TextView about_tv;
	private LinearLayout featureCamera;
	private LinearLayout featureInput;

	private InputcmDialog dialogcm;
	private InputsexDialog dialogsex;

	private float cm;

	private final InputcmDialog.OnChlickListener onChlickListener = new InputcmDialog.OnChlickListener() {

		public void OnChlickPositive(Dialog dlg1, float cm1) {
			cm = cm1;
			hideInputcmDialog();
			showInputsexDialog();
		}

		public void OnClickNegative(Dialog dlg1) {
			hideInputcmDialog();
		}

	};

	private final InputsexDialog.OnChlickListener onChlickListener2 = new InputsexDialog.OnChlickListener() {

		public void OnChlickPositive(Dialog dlg1) {
			showResults(cm, 1);
		}

		public void OnClickNegative(Dialog dlg1) {
			showResults(cm, 0);
		}

	};

	void hideInputcmDialog() {
		this.dialogcm.hide();
	}

	void hideInputsexDialog() {
		this.dialogsex.hide();
	}

	@Override
	public void onCreate(Bundle onSavedInstanceState) {
		super.onCreate(onSavedInstanceState);
		this.setContentView(R.layout.dashboard2);
		this.setTitle();
	}

	@Override
	public void onDestroy() {
		super.onDestroy();
	}

	public void moveFeatureCamera(View vw1) {

		Intent intent1 = new Intent();
		intent1.setClass(this, MeasureActivity.class);
		intent1.putExtra("action_flags", 1);
		this.startActivity(intent1);

	}

	public void moveFeatureInput(View vw1) {

		this.showInputcmDialog();
		Toast.makeText(this.getApplicationContext(), R.string.toast_input_cm,
				Toast.LENGTH_LONG).show();

	}

	public void onFocusChange(View vw1, boolean hasFocus) {
		if (hasFocus) {
			switch (vw1.getId()) {
			case R.id.feature_camera_item:
				this.about_tv.setText(R.string.about_camera);
				break;
			case R.id.feature_input_item:
				this.about_tv.setText(R.string.about_input);
				break;
			}
		}
	}

	// public boolean onGroupClick(ExpandableListView parent, View r,
	// int groupPosition, long id) {
	// switch (groupPosition) {
	// case 0:
	// Intent intent1 = new Intent();
	// intent1.setClass(this, MeasureActivity.class);
	// intent1.putExtra("action_flags", 1);
	// this.startActivity(intent1);
	// break;
	// case 1:
	// this.showInputcmDialog();
	// Toast.makeText(this.getApplicationContext(),
	// R.string.toast_input_cm, Toast.LENGTH_LONG).show();
	// }
	// return false;
	// }

	private void setTitle() {
		TextView mytextview = (TextView) this
				.findViewById(R.id.title_dashboard);
		mytextview.setText(R.string.feature_length);
		this.about_tv = (TextView) this.findViewById(R.id.about);
		this.featureCamera = (LinearLayout) this
				.findViewById(R.id.feature_camera_item);
		this.featureInput = (LinearLayout) this
				.findViewById(R.id.feature_input_item);
		this.featureCamera.setOnFocusChangeListener(this);
		this.featureInput.setOnFocusChangeListener(this);
	}

	void showInputcmDialog() {
		this.dialogcm = new InputcmDialog(this, this.onChlickListener);
		this.dialogcm.setTitle(R.string.dialog_cm_title);
		this.dialogcm.show();

	}

	void showInputsexDialog() {
		this.dialogsex = new InputsexDialog(this, this.onChlickListener2);
		this.dialogsex.setTitle(R.string.dialog_sex_title);
		this.dialogsex.show();

	}

	void showResults(float cm, int sexo) {
		hideInputsexDialog();
		hideInputcmDialog();
		Intent ResultActivity = new Intent(getBaseContext(),
				ResultActivity.class);
		ResultActivity.putExtra("cm", cm);
		ResultActivity.putExtra("sexo", sexo);
		startActivity(ResultActivity);
	}

}
