/*******************************************************************************
 * Copyright (c) 2013 Javier Finez de Dios.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the GNU Public License v3.0
 * which accompanies this distribution, and is available at
 * http://www.gnu.org/licenses/gpl.html
 ******************************************************************************/
package grandeszapatos.getsize;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.os.Handler;
import android.view.animation.Animation;
import android.view.animation.AnimationUtils;
import android.widget.ImageView;

public class SplashActivity extends Activity {

	class SplashHandler implements Runnable {

		public void run() {
			Intent intent1 = new Intent(SplashActivity.this.getApplication(),
					MainActivity.class);
			SplashActivity.this.startActivity(intent1);
			SplashActivity.this.finish();
		}
	}

	private Handler hdl;
	private ImageView logo;

	private SplashActivity.SplashHandler splashHandler;

	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		this.setContentView(R.layout.splash);
	}

	@Override
	protected void onPause() {
		this.hdl.removeCallbacks(this.splashHandler);
		super.onPause();
	}

	@Override
	protected void onResume() {
		Animation anim1 = AnimationUtils.loadAnimation(
				this.getApplicationContext(), R.anim.appear);
		this.logo = (ImageView) this.findViewById(R.id.logo);
		this.logo.startAnimation(anim1);
		this.splashHandler = new SplashActivity.SplashHandler();
		this.hdl = new Handler();
		this.hdl.postDelayed(this.splashHandler, 1700L);
		super.onResume();
	}
}
