/*******************************************************************************
 * Copyright (c) 2013 Javier Finez de Dios.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the GNU Public License v3.0
 * which accompanies this distribution, and is available at
 * http://www.gnu.org/licenses/gpl.html
 ******************************************************************************/
package grandeszapatos.getsize.dialog;

import grandeszapatos.getsize.R;
import android.app.Dialog;
import android.content.Context;
import android.os.Bundle;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.EditText;

public class InputcmDialog extends Dialog implements OnClickListener {

	public interface OnChlickListener {
		void OnChlickPositive(Dialog dlg, float cm);

		void OnClickNegative(Dialog dlg);
	}

	private final InputcmDialog.OnChlickListener chlickListener;
	private EditText cm_et;
	private Button positive_btn;

	private Button negative_btn;

	public InputcmDialog(Context ctx, InputcmDialog.OnChlickListener clclst) {
		super(ctx);
		this.chlickListener = clclst;
	}

	public void onClick(View vw) {

		switch (vw.getId()) {

		case R.id.dialog_input_cm_ok_btn:
			float cm = 0.0F;
			this.cm_et.getText();
			cm = Float.parseFloat(String.valueOf(this.cm_et.getText()));
			this.chlickListener.OnChlickPositive(this, cm);
			break;
		case R.id.dialog_input_cm_no_btn:
			this.chlickListener.OnClickNegative(this);
		default:
			break;
		}
	}

	@Override
	protected void onCreate(Bundle onSavedInstanceState) {
		super.onCreate(onSavedInstanceState);
		this.setContentView(R.layout.input_cm_dialog);

		this.positive_btn = (Button) this
				.findViewById(R.id.dialog_input_cm_ok_btn);
		this.negative_btn = (Button) this
				.findViewById(R.id.dialog_input_cm_no_btn);
		this.cm_et = (EditText) this.findViewById(R.id.dialog_input_cm);

		this.positive_btn.setOnClickListener(this);
		this.negative_btn.setOnClickListener(this);
	}
}
