/*******************************************************************************
 * Copyright (c) 2013 Javier Finez de Dios.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the GNU Public License v3.0
 * which accompanies this distribution, and is available at
 * http://www.gnu.org/licenses/gpl.html
 ******************************************************************************/
package grandeszapatos.getsize.measure;

import grandeszapatos.getsize.setting.SettingConst;

import java.math.BigDecimal;
import java.math.RoundingMode;

import android.content.Context;
import android.util.AttributeSet;
import android.util.Log;
import android.widget.TextView;

public class ResultTextView extends TextView implements CalculateListener {

	public ResultTextView(Context ctx) {
		super(ctx);
	}

	public ResultTextView(Context ctx, AttributeSet attset) {
		super(ctx, attset);
	}

	public ResultTextView(Context ctx, AttributeSet attset, int i) {
		super(ctx, attset, i);
	}

	public void setResult(float f, int i) {
		String str = null;
		if (!Float.isInfinite(f) && !Float.isNaN(f)) {
			switch (i) {
			case 0:
				BigDecimal bigdec1 = new BigDecimal(f);
				str = bigdec1.setScale(1, RoundingMode.HALF_UP) + "cm";
				break;
			case 1:
				BigDecimal bigdec2;
				try {
					bigdec2 = new BigDecimal(
							(f / SettingConst.Unit.INCH_COEFFICIENT));
				} catch (NumberFormatException ex) {
					break;
				}

				String str1;
				try {
					str1 = bigdec2.setScale(1, RoundingMode.HALF_UP) + "inch";
				} catch (NumberFormatException ex) {
					break;
				}

				str = str1;
				break;
			case 2:
				label48: {
					BigDecimal bigdec3;
					try {
						bigdec3 = new BigDecimal(
								(f / SettingConst.Unit.MILI_COEFFICIENT));
					} catch (NumberFormatException ex) {
						break label48;
					}

					String str2;
					try {
						str2 = bigdec3.setScale(1, RoundingMode.HALF_UP) + "mm";
					} catch (NumberFormatException ex) {
						break label48;
					}

					str = str2;
				}
			}

			this.setText(str);
		} else {
			Log.w(this.getClass().getName(),
					"calculated result was Infinite or NaN.");
		}

	}
}
