/*******************************************************************************
 * Copyright (c) 2013 Javier Finez de Dios.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the GNU Public License v3.0
 * which accompanies this distribution, and is available at
 * http://www.gnu.org/licenses/gpl.html
 ******************************************************************************/
package grandeszapatos.getsize.setting;

import java.util.Map;

import android.content.Context;
import android.content.SharedPreferences;
import android.content.SharedPreferences.Editor;

public class SettingConfig {

	private SharedPreferences pref = null;

	public SettingConfig(Context ctx, String str) {
		this.pref = ctx.getSharedPreferences(str, 0);
		if (this.getAll().size() == 0) {
			this.putInt("color", -1);
			this.putString("unit", "0");
			this.putString("ruler", "Tarjeta(Largo)");
			this.putString("axis", "0");
			this.putBoolean("grid", true);
			this.putFloat("angle", 26.5F);
			this.putBoolean("capture_icon", false);
			this.putBoolean("capture_solid_line", false);
		}

	}

	public boolean containsKey(String k) {
		return this.pref.contains(k);
	}

	public Map getAll() {
		return this.pref.getAll();
	}

	public boolean getBoolean(String s, boolean b) {
		return this.pref.getBoolean(s, b);
	}

	public Editor getEditor() {
		return this.pref.edit();
	}

	public float getFloat(String s, float f) {
		return this.pref.getFloat(s, f);
	}

	public int getInt(String var1, int var2) {
		return this.pref.getInt(var1, var2);
	}

	public String getString(String s1, String s2) {
		return this.pref.getString(s1, s2);
	}

	public void putBoolean(String s, boolean b) {
		Editor edt1 = this.pref.edit();
		edt1.putBoolean(s, b);
		edt1.commit();
	}

	public void putFloat(String s, float f) {
		Editor edt = this.pref.edit();
		edt.putFloat(s, f);
		edt.commit();
	}

	public void putInt(String s, int i) {
		Editor edt = this.pref.edit();
		edt.putInt(s, i);
		edt.commit();
	}

	public void putString(String s1, String s2) {
		Editor edt = this.pref.edit();
		edt.putString(s1, s2);
		edt.commit();
	}

	public void remove(String s) {
		Editor edt = this.pref.edit();
		edt.remove(s);
		edt.commit();
	}
}
