/*******************************************************************************
 * Copyright (c) 2013 Javier Finez de Dios.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the GNU Public License v3.0
 * which accompanies this distribution, and is available at
 * http://www.gnu.org/licenses/gpl.html
 ******************************************************************************/
package grandeszapatos.getsize.setting;

import android.content.Context;
import android.preference.PreferenceActivity;

public class SettingConfigManager {

	private static SettingConfig instance = null;

	public static SettingConfig get(Context ctx) {
		init(ctx);
		return instance;
	}

	private static void init(Context ctx) {
		synchronized (SettingConfigManager.class) {
		}

		try {
			if (instance == null) {
				instance = new SettingConfig(ctx,
						SettingConfig.class.getCanonicalName());
			}
		} finally {
			;
		}

	}

	public static void setPreferencesTarget(PreferenceActivity pref) {
		init(pref);
		pref.getPreferenceManager().setSharedPreferencesName(
				SettingConfig.class.getCanonicalName());
	}
}
