/*******************************************************************************
 * Copyright (c) 2013 Javier Finez de Dios.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the GNU Public License v3.0
 * which accompanies this distribution, and is available at
 * http://www.gnu.org/licenses/gpl.html
 ******************************************************************************/
package grandeszapatos.getsize.setting.ruler;

import grandeszapatos.getsize.util.FileUtil;
import android.content.Context;
import android.graphics.Bitmap;

public class Ruler {

	private final boolean hasThumbnail;
	private final String name;
	private final int no;
	private final float size;
	private Bitmap thumbnail;
	private final int unit;

	Ruler(Context ctx, String name, int no, float size, int unit) {
		this.name = name;
		this.no = no;
		this.size = size;
		this.unit = unit;
		boolean exist = FileUtil.existThumbnail(ctx, name);
		this.hasThumbnail = exist;
		if (exist) {
			this.thumbnail = FileUtil.getThumbnail(ctx, name);
		}
	}

	public String getName() {
		return this.name;
	}

	public int getNo() {
		return this.no;
	}

	public float getSize() {
		return this.size;
	}

	public Bitmap getThumbnail() {
		return this.thumbnail;
	}

	public int getUnit() {
		return this.unit;
	}

	public boolean hasThumbnail(Context ctx) {
		return this.hasThumbnail;
	}

	@Override
	public String toString() {
		return "[Name:" + this.name + ",No:" + this.no + ",Size:" + this.size
				+ ",Unit:" + this.unit + "]";
	}
}
