/*******************************************************************************
 * Copyright (c) 2013 Javier Finez de Dios.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the GNU Public License v3.0
 * which accompanies this distribution, and is available at
 * http://www.gnu.org/licenses/gpl.html
 ******************************************************************************/
package grandeszapatos.getsize.util;

import grandeszapatos.getsize.R;

import java.io.ByteArrayOutputStream;
import java.io.File;
import java.io.FileInputStream;
import java.io.FileOutputStream;

import android.content.Context;
import android.graphics.Bitmap;
import android.graphics.Bitmap.CompressFormat;
import android.graphics.BitmapFactory;
import android.widget.Toast;

public class FileUtil {

	public static void deleteThumbnail(Context ctx, String name) {
		(new File(ctx.getFilesDir(), name + ".jpg")).delete();
	}

	public static boolean exist(Context ctx, String name) {
		return (new File(ctx.getFilesDir(), name)).exists();
	}

	public static boolean existThumbnail(Context ctx, String name) {
		boolean exist;
		if ((new File(ctx.getFilesDir(), name + ".jpg")).exists()) {
			if (getThumbnail(ctx, name) != null) {
				exist = true;
			} else {
				exist = false;
			}
		} else {
			exist = false;
		}

		return exist;
	}

	public static Bitmap getThumbnail(Context ctx, String name) {
		byte[] data = readDataFile(ctx, (new File(ctx.getFilesDir(), name
				+ ".jpg")).getName());
		Bitmap bmp;
		if (data != null) {
			bmp = BitmapFactory.decodeByteArray(data, 0, data.length);
		} else {
			bmp = null;
		}

		return bmp;
	}

	private static byte[] readDataFile(Context ctx, String name) {
		FileInputStream stream = null;

		byte[] data;
		byte[] data2;
		try {
			stream = ctx.openFileInput(name);
			byte[] data3 = new byte[102400];
			int size = stream.read(data3);
			stream.close();
			data2 = new byte[size];
			System.arraycopy(data3, 0, data2, 0, size);
		} catch (Exception ex) {
			if (stream != null) {
				try {
					stream.close();
				} catch (Exception ex2) {
					;
				}
			}

			data = null;
			return data;
		}

		data = data2;
		return data;
	}

	public static String readDataFile(String name, Context ctx)
			throws Exception {
		FileInputStream stream = null;

		try {
			stream = ctx.openFileInput(name);
			byte[] data = new byte[102400];
			int size = stream.read(data);
			stream.close();
			byte[] data2 = new byte[size];
			System.arraycopy(data, 0, data2, 0, size);
			String sout = new String(data2);
			return sout;
		} catch (Exception ex) {
			if (stream != null) {
				try {
					stream.close();
				} catch (Exception ex2) {
					;
				}
			}

			throw ex;
		}
	}

	public static void renameThumbnail(Context ctx, String name, String newname) {
		(new File(ctx.getFilesDir(), name + ".jpg")).renameTo(new File(ctx
				.getFilesDir(), newname + ".jpg"));
	}

	public static void saveThumbnail(Context ctx, String name, Bitmap bmp) {
		ByteArrayOutputStream baos = new ByteArrayOutputStream();

		try {
			bmp.compress(CompressFormat.JPEG, 80, baos);
		} catch (IllegalStateException ex) {
			Toast.makeText(ctx, R.string.save_fail, Toast.LENGTH_SHORT).show();
			ex.printStackTrace();
		}

		writeDataFile(ctx, name + ".jpg", baos.toByteArray());
	}

	private static void writeDataFile(Context ctx, String name, byte[] data) {
		FileOutputStream baos = null;

		try {
			baos = ctx.openFileOutput(name, 1);
			baos.write(data, 0, data.length);
			baos.close();
		} catch (Exception ex) {
			if (baos != null) {
				try {
					baos.close();
				} catch (Exception ex2) {
					;
				}
			}
		}

	}
}
